Add Constant

- « Componere\Definition::__construct

- Componere\Definition::addProperty »

- PHP Manual
- Componere\Definition
- Add Constant

# Componere\Definition::addConstant

(Componere 2 >= 2.1.0)

Componere\Definition::addConstant — Add Constant

### Description

public Componere\Definition::addConstant(string `$name`, Componere\Value `$value`): Definition

Shall declare a class constant on the current Definition

### Parameters

`name`

  The case sensitive name for the constant

`value`

  The Value for the constant, must not be undefined or static

### Return Values

The current Definition

### Exceptions

Warning

Shall throw RuntimeException if Definition was registered

Warning

Shall throw RuntimeException if `name` is already declared as a constant

Warning

Shall throw RuntimeException if `value` is static

Warning

Shall throw RuntimeException if `value` is undefined